
/********************************************
fin.h

libmawk changes (C) 2009-2012, Tibor 'Igor2' Palinkas;
based on mawk code coming with the below copyright:

copyright 1991, Michael D. Brennan

This is a source file for mawk, an implementation of
the AWK programming language.

Mawk is distributed without warranty under the terms of
the GNU General Public License, version 2, 1991.
********************************************/

#ifndef  FIN_H
#define  FIN_H
/* structure to control input files */

#define  MAIN_FLAG    1					/* part of main input stream if on */
#define  EOF_FLAG     2
#define  START_FLAG   4					/* used when RS == "" */

#define mawk_FIN_nomore (-2)

FIN *mawk_FINopen(mawk_state_t *, char *, int);
void mawk_FINclose(mawk_state_t *, FIN *);
void mawk_FINsemi_close(mawk_state_t *, FIN *);
unsigned mawk_fillbuff(mawk_state_t *, FIN *, char *, unsigned);

/* open an existing vio vf as FIN */
FIN *mawk_FIN_vio_open(mawk_state_t *MAWK, vio_t *vf, int main_flag);

/* execution: */
void mawk_FINopen_main(mawk_state_t * MAWK);
char *mawk_FINgets(mawk_state_t *, FIN *, unsigned *);

#endif /* FIN_H */
