#include <linux/kernel.h>
#include <linux/string.h>


static char *strtol0 = "\0";
static inline unsigned long strtol(char *nptr, char **endptr, int base)
{
	unsigned long res;
	if (kstrtoul(nptr, base, &res) != 0) {
		if (endptr != NULL)
			*endptr = nptr;
		return 0;
	}
	if (endptr != NULL)
		*endptr = strtol0;
	return res;
}
